> For the complete documentation index, see [llms.txt](https://docs.parvenu.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parvenu.io/features/api/api-documentation.md).

# API Documentation

## Getting Started

Parvenu's REST API allows you to enrich for company and contact information. We use an API key in the body for authentication.&#x20;

## Endpoints

## Enrich a Contact

<mark style="color:green;">`POST`</mark> `https://data.parvenu.io/api-product/incoming-webhook/find-emails-first-last`

This endpoint allows you to get Business Emails from **First Name**, **Last Name**, and **Domain**.&#x20;

#### Request Body

| Name        | Type   | Description                                                      |
| ----------- | ------ | ---------------------------------------------------------------- |
| api\_key    | string | API Key                                                          |
| first\_name | string | The **First Name** you want enriched for the **Business Email**. |
| last\_name  | string | The **Last Name** you want enriched for the **Business Email**.  |
| domain      | string | The **Domain** of the **Company**                                |

{% tabs %}
{% tab title="200 Contacts successfully retrieved." %}

```
{
	"email": "patrick@parvenunext.com"
}
```

{% endtab %}

{% tab title="404 Could not find a contact matching this domain query." %}

```
[]
```

{% endtab %}
{% endtabs %}

{% content-ref url="/pages/-MMMpipM9WbLgFNbRjxZ" %}
[Emails from Full Name + Domain](/features/enrich/emails-from-full-name-+-domain.md)
{% endcontent-ref %}

## Enrich Domain

<mark style="color:green;">`POST`</mark> `https://data.parvenu.io/api-product/incoming-webhook/enrich-company`

This endpoint allows you to get contacts and their contact info from a **Domain**.&#x20;

#### Request Body

| Name     | Type   | Description                                       |
| -------- | ------ | ------------------------------------------------- |
| api\_key | string | API Key                                           |
| domain   | string | The **Domain** you want enriched for contact info |

{% tabs %}
{% tab title="200 Contacts successfully retrieved." %}

```
[{
	"first_name": "mickaël",
	"last_name": "marquez",
	"headline": "UX Designer",
	"job_title": "UX Designer",
	"location": "Paris et périphérie",
	"business_email": "mickael@gitbook.com",
	"personal_email": null,
	"social_url": "https://www.linkedin.com/sales/people/ACwAAAxI-moB2W31Pt3aIb5FbsWQtjRZsl_qpIU,NAME_SEARCH,gRRh",
	"description": "",
	"company_name": "GitBook",
	"keywords": [],
	"connections_count": "",
	"picture": "",
	"city": "Paris et périphérie",
	"linkedin_id": 206109290,
	"skills": "",
	"past_company": [],
	"rewards": [],
	"industry": "",
	"company_domain": "gitbook.com"
}]
```

{% endtab %}

{% tab title="404 Could not find a contact matching this domain query." %}

```
[]
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Don't use** "<https://www>." when passing data to this endpoint.
{% endhint %}

{% content-ref url="/pages/-MMNO0KCoE9zkOflaNu8" %}
[Emails from Companies](/features/enrich/emails-from-companies.md)
{% endcontent-ref %}

## Find Domain

<mark style="color:green;">`POST`</mark> `https://data.parvenu.io/api-product/incoming-webhook/convert-company-names`

This endpoint allows you to get **Domains** from a **Company** name.&#x20;

#### Request Body

| Name          | Type   | Description                               |
| ------------- | ------ | ----------------------------------------- |
| api\_key      | string | API Key                                   |
| company\_name | string | The **Company** with a missing **Domain** |

{% tabs %}
{% tab title="200 " %}

```
[{
	"name": "Parvenu",
	"domain": "parvenunext.com",
	"logo": "https://logo.clearbit.com/parvenunext.com"
}, {
	"name": "Parvenu Apparel",
	"domain": "parvenuapparel.com",
	"logo": "https://logo.clearbit.com/parvenuapparel.com"
}, {
	"name": "Parvenu Digital",
	"domain": "parvenudigital.com",
	"logo": "https://logo.clearbit.com/parvenudigital.com"
}, {
	"name": "Parvenu Magazine",
	"domain": "parvenumagazine.com",
	"logo": "https://logo.clearbit.com/parvenumagazine.com"
}, {
	"name": "Parvenu Management",
	"domain": "parvenumanagement.com",
	"logo": "https://logo.clearbit.com/parvenumanagement.com"
}]
```

{% endtab %}

{% tab title="404 " %}

```
[]

```

{% endtab %}
{% endtabs %}

{% content-ref url="/pages/-MMNO0KCoE9zkOflaNu8" %}
[Emails from Companies](/features/enrich/emails-from-companies.md)
{% endcontent-ref %}

## Scrape from Websites

<mark style="color:green;">`POST`</mark> `https://data.parvenu.io/api-product/incoming-webhook/extract-emails-from-urls`

This endpoint allows you to get emails, phone numbers, and social media URLs from **Domains**.&#x20;

#### Request Body

| Name     | Type   | Description                                        |
| -------- | ------ | -------------------------------------------------- |
| api\_key | string | API Key                                            |
| url      | string | The **Website** you want enriched for contact info |

{% tabs %}
{% tab title="200 Contacts successfully retrieved." %}

```
{
	"query": "https://parvenunext.com",
	"domain": "https://parvenunext.com",
	"title": "Home | Parvenu",
	"description": null,
	"keywords": null,
	"phones": "0123456789 , 016225436",
	"twitter_url": null,
	"twitter_username": null,
	"facebook_url": "https://www.facebook.com/parvenunext",
	"facebook_username": "parvenunext",
	"google_plus_url": null,
	"google_plus_username": null,
	"youtube_url": null,
	"youtube_username": null,
	"instagram_url": null,
	"instagram_username": null,
	"linkedin_url": null,
	"linkedin_username": null,
	"github_url": null,
	"github_username": null,
	"company_email": "admin@parvenunext.com"
}
```

{% endtab %}

{% tab title="404 Could not find a contact matching this domain query." %}

```
[]
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Use** "<https://www>." when passing data to this endpoint.
{% endhint %}

{% content-ref url="/pages/-MMNV0bmzdQq90RX2nWK" %}
[Scrape from Domains](/features/enrich/scrape-from-website.md)
{% endcontent-ref %}
